edu.sc.seis.sod.process.waveform

## Class SeismogramImageOutputLocator

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.SeismogramImageOutputLocator

-     public class SeismogramImageOutputLocator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeismogramImageOutputLocator(org.w3c.dom.Element el)`
    `SeismogramImageOutputLocator(org.w3c.dom.Element el, boolean useBase)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SeismogramImageOutputLocator` | `createForLocalSeismogramTemplate(org.w3c.dom.Element el)`
    `java.lang.String` | `getDirectory(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.IfNetwork.Channel chan, boolean useStatusDir)`
    `java.lang.String` | `getFileType()`
    `java.lang.String` | `getLocation(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.IfNetwork.Channel channel)`
    `java.lang.String` | `getLocation(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.IfNetwork.Channel channel, java.lang.String fileType)`
    `java.lang.String` | `getLocation(VelocityEvent event, edu.iris.Fissures.IfNetwork.Channel channel)`
    `java.lang.String` | `getLocation(VelocityEvent event, edu.iris.Fissures.IfNetwork.Channel channel, java.lang.String fileType)`
    `java.lang.String` | `getPrefix()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SeismogramImageOutputLocator

          public SeismogramImageOutputLocator(org.w3c.dom.Element el)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### SeismogramImageOutputLocator

          public SeismogramImageOutputLocator(org.w3c.dom.Element el,
                                              boolean useBase)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### createForLocalSeismogramTemplate

          public static SeismogramImageOutputLocator createForLocalSeismogramTemplate(org.w3c.dom.Element el)
                                                                               throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### getFileType

          public java.lang.String getFileType()

    - #### getPrefix

          public java.lang.String getPrefix()

    - #### getLocation

          public java.lang.String getLocation(VelocityEvent event,
                                              edu.iris.Fissures.IfNetwork.Channel channel)

    - #### getLocation

          public java.lang.String getLocation(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                              edu.iris.Fissures.IfNetwork.Channel channel)

    - #### getLocation

          public java.lang.String getLocation(VelocityEvent event,
                                              edu.iris.Fissures.IfNetwork.Channel channel,
                                              java.lang.String fileType)

    - #### getLocation

          public java.lang.String getLocation(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                              edu.iris.Fissures.IfNetwork.Channel channel,
                                              java.lang.String fileType)

    - #### getDirectory

          public java.lang.String getDirectory(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                               edu.iris.Fissures.IfNetwork.Channel chan,
                                               boolean useStatusDir)